
precision highp float;

varying highp vec2 textureCoordinate;
uniform sampler2D inputTexture;
uniform sampler2D highLightTexture;
uniform sampler2D maskTexture;
uniform sampler2D faceTexture;

uniform float strength;
uniform int auto;

float a = 0.9;

void main() {
    vec4 color = texture2D(inputTexture, textureCoordinate.xy);
    vec4 maskColor = texture2D(maskTexture, textureCoordinate.xy);
    vec4 faceColor = texture2D(faceTexture, textureCoordinate.xy);
    vec4 highLightColor = texture2D(highLightTexture, textureCoordinate.xy);
    //maskColor = mix(maskColor, vec4(0.0), faceColor.a);
    if(auto == 0) {
        a = maskColor.r;
    } else {
        a = 1.0 - maskColor.a;
    }
    color.rgb = mix(color.rgb, highLightColor.rgb,strength * a);
    gl_FragColor = color;
}